LIBKECCAK_SPEC_SHAKE(3)

NAME
libkeccak_spec_shake - Configure SHAKE hashing parameters

SYNOPSIS
#include <libkeccak.h>
void libkeccak_spec_shake(struct libkeccak_spec *spec, long int x, long int d);

Link with -lkeccak.

DESCRIPTION
The libkeccak_spec_shake() function sets *spec to specify the Keccak parameters used for SHAKE hashing with the semicapacity specified, in bits, via the x parameter, and the output size specified, in bits, via the d parameter.

RETURN VALUES
The libkeccak_spec_shake() function does not return any value.

ERRORS
The libkeccak_spec_shake() function cannot fail.

EXAMPLE
This example configure a struct libkeccak_spec to specify the Keccak parameters used for SHAKE256(, 512):

struct libkeccak_spec spec;
libkeccak_spec_shake(&spec, 256, 512);

SEE ALSO
libkeccak_spec_cshake(3), libkeccak_spec_sha3(3), libkeccak_spec_rawshake(3), libkeccak_spec_check(3), libkeccak_generalised_spec_initialise(3), libkeccak_state_initialise(3), libkeccak_hmac_initialise(3)